net.minecraft.client.renderer.texture

## Class TextureManager

- java.lang.Object
- - net.minecraft.client.renderer.texture.TextureManager

- All Implemented Interfaces:
    ITickable, IResourceManagerReloadListener

      public class TextureManager
      extends java.lang.Object
      implements ITickable, IResourceManagerReloadListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextureManager(IResourceManager par1ResourceManager)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bindTexture(ResourceLocation par1ResourceLocation)`
    `void` | `deleteTexture(ResourceLocation p_147645_1_)`
    `ResourceLocation` | `getDynamicTextureLocation(java.lang.String par1Str, DynamicTexture par2DynamicTexture)`
    `ResourceLocation` | `getResourceLocation(int par1)`
    `ITextureObject` | `getTexture(ResourceLocation par1ResourceLocation)`
    `boolean` | `loadTexture(ResourceLocation par1ResourceLocation, ITextureObject par2TextureObject)`
    `boolean` | `loadTextureMap(ResourceLocation par1ResourceLocation, TextureMap par2TextureMap)`
    `boolean` | `loadTickableTexture(ResourceLocation par1ResourceLocation, ITickableTextureObject par2TickableTextureObject)`
    `void` | `onResourceManagerReload(IResourceManager par1ResourceManager)`
    `void` | `tick()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextureManager

          public TextureManager(IResourceManager par1ResourceManager)

  - ### Method Detail

    - #### bindTexture

          public void bindTexture(ResourceLocation par1ResourceLocation)

    - #### getResourceLocation

          public ResourceLocation getResourceLocation(int par1)

    - #### loadTextureMap

          public boolean loadTextureMap(ResourceLocation par1ResourceLocation,
                               TextureMap par2TextureMap)

    - #### loadTickableTexture

          public boolean loadTickableTexture(ResourceLocation par1ResourceLocation,
                                    ITickableTextureObject par2TickableTextureObject)

    - #### loadTexture

          public boolean loadTexture(ResourceLocation par1ResourceLocation,
                            ITextureObject par2TextureObject)

    - #### getTexture

          public ITextureObject getTexture(ResourceLocation par1ResourceLocation)

    - #### getDynamicTextureLocation

          public ResourceLocation getDynamicTextureLocation(java.lang.String par1Str,
                                                   DynamicTexture par2DynamicTexture)

    - #### tick

          public void tick()

      Specified by:
        `tick` in interface `ITickable`

    - #### deleteTexture

          public void deleteTexture(ResourceLocation p_147645_1_)

    - #### onResourceManagerReload

          public void onResourceManagerReload(IResourceManager par1ResourceManager)

      Specified by:
        `onResourceManagerReload` in interface `IResourceManagerReloadListener`